slepc-3.21.1 2024-04-26
Report Typos and Errors

# RGAppendOptionsPrefix

Appends to the prefix used for searching for all RG options in the database.

### Synopsis

    #include "slepcrg.h"
    PetscErrorCode RGAppendOptionsPrefix(RG rg,const char *prefix)

Logically Collective

### Input Parameters

| rg | - the region context
| prefix | - the prefix string to prepend to all RG option requests

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

### See Also

RGSetOptionsPrefix()

### Level

advanced

### Location

src/sys/classes/rg/interface/rgbasic.c
Index of all RG routines
Table of Contents for all manual pages
Index of all manual pages